# -*- coding: utf-8 -*-
from velamentum.ui.dialoge.Dialog import *
from velamentum.ui.dialoge.EntscheidungsDialog import *
from velamentum.werkzeuge.Zufallsgenerator import *

# Dialog vorbereiten und Begrüßung anzeigen
dialog = Dialog("Stein, Papier, Schere", "Willkommen zum Spiel!")
dialog.zeige()

# EntscheidungDialog vorbereiten
eDialog = EntscheidungsDialog("Stein, Papier, Schere", "Bitte wählen Sie" \
    "Ihren Gegenstand.")

eDialog.setzeText1("🌑 Stein")
eDialog.setzeText2("✂️ Schere")
eDialog.setzeText3("📃 Papier")
eDialog.setzeDreiTasten(True)

# Entscheidung einfordern
while eDialog.nenneErgebnis() == 0:
    eDialog.zeige()

# Zufallsgenerator vorbereiten
zufall = Zufallsgenerator(1,3)

# Sieger ermitteln
if zufall.nenneErgebnis() == 1:
    dialog.zeigeNachricht("Ich habe 'Stein' gewählt.")
    if eDialog.nenneErgebnis() == 1:
        dialog.zeigeNachricht("Unentschieden!")
    elif eDialog.nenneErgebnis() == 2:
        dialog.zeigeNachricht("Ich habe gewonnen!")
    else:
        dialog.zeigeNachricht("Sie haben gewonnen!")
elif zufall.nenneErgebnis() == 2:
    dialog.zeigeNachricht("Ich habe 'Schere' gewählt.")
    if eDialog.nenneErgebnis() == 1:
        dialog.zeigeNachricht("Sie haben gewonnen!")
    elif eDialog.nenneErgebnis() == 2:
        dialog.zeigeNachricht("Unentschieden!")
    else:
        dialog.zeigeNachricht("Ich habe gewonnen!")
else:
    dialog.zeigeNachricht("Ich habe 'Papier' gewählt.")
    if eDialog.nenneErgebnis() == 1:
        dialog.zeigeNachricht("Ich habe gewonnen!")
    elif eDialog.nenneErgebnis() == 2:
        dialog.zeigeNachricht("Sie haben gewonnen!")
    else:
        dialog.zeigeNachricht("Unentschieden!")
